REPO(1)

NAME
repo - repo list - manual page for repo list

SYNOPSIS
repo list [-f] [<project>...]

DESCRIPTION
Summary

List projects and their associated directories

repo list [-f] -r str1 [str2]...

OPTIONS

-h, --help
    show this help message and exit

-r, --regex
    filter the project list based on regex or wildcard matching of strings

-g GROUPS, --groups=GROUPS
    filter the project list based on the groups the project is in

-a, --all
    show projects regardless of checkout state

-n, --name-only
    display only the name of the repository

-p, --path-only
    display only the path of the repository

-f, --fullpath
    display the full work tree path instead of the relative path

--relative-to=PATH
    display paths relative to this one (default: top of repo client checkout)

  Logging options:

-v, --verbose
    show all output

-q, --quiet
    only show errors

  Multi-manifest options:

--outer-manifest
    operate starting at the outermost manifest

--no-outer-manifest
    do not operate on outer manifests

--this-manifest-only
    only operate on this (sub)manifest

--no-this-manifest-only, --all-manifests
    operate on this manifest and its submanifests

Run `repo help list` to view the detailed manual.

DETAILS

List all projects; pass '.' to list the project for the cwd.

By default, only projects that currently exist in the checkout are shown. If you want to list all projects (using the specified filter settings), use the --all option. If you want to show all projects regardless of the manifest groups, then also pass --groups all.

This is similar to running: repo forall -c 'echo "$REPO_PATH : $REPO_PROJECT"'.